These endpoints are for sandbox only. They won’t work in production.
Simulate a refund authorisation
POST
/v2/simulations/refund/authorizationRequest
Use this request to simulate a refund authorisation.Request body schema
The ID of the card to work with.Allowable values: An existing
cardId (≤ 36 characters)The amount of the transaction.Allowable values: A valid number (
>= 0)Details about the card acceptor.Allowable values: A valid
cardAcceptor object containing the following fields: midResponse
If your request is successful, you’ll receive a201 response.
Simulate a refund authorisation clearing
POST
/v2/simulations/refund/authorization/clearingRequest
Use this request to simulate a refund authorisation clearing.Request body schema
The token of the transaction to work with. This is the
token received in the response to the authorisation request.Allowable values: A valid stringThe authorisation clearing amount.Allowable values: A valid number (
>=0)